%define oname rlib
Name: librlib
Version: 1.3.7
Release: alt1

Summary: RLIB - Reporting Engine

License: GPL
Group: System/Libraries
Url: http://rlib.sicompos.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%oname/%oname-%version.tar.bz2
Patch: %name-linking.patch

# Automatically added by buildreq on Wed Jul 16 2008
BuildRequires: docbook-utils-print fonts-type1-cm-super-pfb gcc-c++ glib2-devel glibc-devel libMySQL-devel libgd2-devel libunixODBC-devel libxml2-devel tetex-context tetex-latex-tipa w3c-markup-validator-libs

%description
RLIB - Reporting Engine 
XML Based Definition Language 
Generate Reports in PDF, HTML, TXT, and CSV 
Fast and efficient, written in c. Bindings for PHP, Python, Java. 
Commercial license available for non GPL code 
Full expression engine.. ie: col1*col2+col3

%package devel
Summary: Header files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for %name library.

%prep
%setup -n %oname-%version
%patch

%build
%autoreconf
%configure --disable-static --with-pythonver=%__python_version --disable-postgres \
	--disable-php --disable-perl --disable-python
%make_build

%install
%makeinstall_std

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc NEWS AUTHORS ChangeLog
%_bindir/rlibc
%_libdir/lib*.so.*
#%python_sitelibdir/*

%files devel
%_libdir/lib*.so
%_includedir/*
%_pkgconfigdir/*

%changelog
* Tue Jul 15 2008 Vitaly Lipatov <lav@altlinux.ru> 1.3.7-alt1
- initial build for ALT Linux Sisyphus
